package com.base.appzxhy.business.ads

abstract class AdsShowCallBack {

    var adShowed: Boolean = false

    open fun show() {
        adShowed = true
    }

    open fun failed(where: Int = 0) {
        adShowed = false
        next()
    }

    open fun adFailed(where: Int = 0) {
        adShowed = false
        next()
    }

    open fun close(where: Int = 0) {
        adShowed = false
        next()
    }

    abstract fun next()

}